use POSIX;

package xMisc;

use strict;

# export functions

sub euroHash
{

  # these are the Euro weights.
  return
    (
     'ATS' => '13.7603',
     'BEF' => '40.3399',
     'FIM' => '5.94573',
     'FRF' => '6.55957',
     'DEM' => '1.95583',
     'IEP' => '0.787564',
     'ITL' => '1936.27',
     'NLG' => '2.20371',
     'PTE' => '200.482',
     'ESP' => '166.386',
     'GRD' => '340.75',
     'LUF' => '40.3399',
    );
}

# I hope not in use anymore, but probably is
sub euroSQL
{
  warn "this is not to be used";

  my $q = shift;

  my %euro = euroHash();

  $q =~ s/(ATS|BEF|FIM|FRF|DEM|IEP|ITL|NLG|PTE|ESP|GRD|LUF)/EUR*$euro{$1} as $1/g;

  $q =~ s/USD/1 as USD/g;
  return $q;
}

sub date_format
{
  my ($y,$m,$d) = $_[0] =~ /(\d{2,4})-?(\d{2})-?(\d{2})/;

  return POSIX::strftime('%A, %B %d, %Y', 0,0,0, $d, $m-1, $y - 1900);
}

1;
