
package Conf;

use strict;


# Ultimately I want a read-only, tie'd hash that complains if asked for something it doesn't have

sub new
{
  return bless {};
}

sub read
{
  # my ($package, $filename, $line) = caller;
  # warn "$filename ($line) requested conf read\n";

  my $self = shift;
  my $file = shift;


  if (1) {
    %$self = (
	      'sql_password' => '5Wqg4sia',
	      'sql_server' => 'localhost', # 'qs729.pair.com',
	      'dir_lib' => '/usr/home/fxcm/lib/perl',
	      'sql_user' => 'fxcm',
	      'dir_templates' => '/usr/home/fxcm/templates',
	      'dir_main' => '/usr/home/fxcm',
	      'dir_log' => '/usr/home/fxcm/log',
	      'url_server_error' => '/500_server_error.html',
	      'dir_public_html' => '/usr/www/users/fxcm',
	      'domain' => 'http://www.gocurrency.com',
	      # 'domain' => 'http://216.92.40.72',
	      'htdoc_1' => 'htdoc1.htm',
	      'sql_database' => 'fxcm_xrates'
	      );
    
    return $self;
  }


  open (FH, "<$file") or die("could not open config file $file");
  for (<FH>)
  {
    chomp;           # no newlines
    s/^\s+//;        # no leading white
    s/\s+$//;        # no trailing white
    s/^(#|;|\/).*//;  # no comments
    next unless length;

    my ($key, $val) = $_ =~ /([^=]*?) *= *(.*)/;
    next unless defined $key;

    $self->{$key} = $val;
  }

  return $self
}

sub list
{
  require Data::Dumper || die;
  print Data::Dumper->Dump([$_[0]],['conf']);
}

1;
