#! /usr/bin/perl -w

use lib '/usr/home/fxcm/lib/perl';

use Conf;

use DBI;

my $date=get_date();
my $inverse;
my $tmp;
my $day;
my $query="";
my $sth2;

my $dbh = DBI->connect("DBI:mysql:fxcm_xrates:localhost", 
                      "fxcm",
                      "5Wqg4sia",
                      {
                       PrintError => 1,
                       RaiseError => 1
                      }
	    		);	

#my $sth = $dbh->prepare("SELECT EUR,AUD from rates where day='$date'");
my $sth = $dbh->prepare("SELECT EUR,day from rates where day like '2005-%'");



  unless ($sth && $sth->execute)
  {
    logerr("SQL statement error: $dbh->errstr");
    die;
  }
  while ($res = $sth->fetchrow_hashref)
  {
    $tmp=$res->{EUR};
    if ( $tmp and $tmp > 1 )
    {
        $invert = 1/$tmp;
	$day = $res->{day};
        print " Euro is $tmp: Inverting to value $invert for $day...\n";

        $sth2 = $dbh->prepare("UPDATE rates set EUR='$invert' where day='$day'");  

        unless ($sth2 && $sth2->execute)
  	{
    		logerr("SQL statement error: $dbh->errstr");
    		die;
  	}
	$sth2->finish;

    }

  }
	$sth->finish;


  #if ( $res->(EUR) lt 1 ) 
  #{
    #$inverse[0] = 1/$res->('EUR');
    #$query = "UPDATE rates, set EUR=$inverse[0]";
  #}

  #if ( $res[1] > 1 )
  #{
    #$inverse[1] = 1/$res[1];;
    #$query = $query . " and AUD=$inverse[1]";
  #}

  if ($query)
  {
    $query = $query . " where date=\"$date\"";
    print "I would be running query: $query\n";
  }

    





sub get_date
# ---------------------------------------------------------
{
  my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime();
  my $today = sprintf("%04d-%02d-%02d", $year+1900 , $mon+1, $mday);
  # $today = '2001-08-08';
  return $today;
}

