#! /usr/bin/perl

use strict;
use warnings;
use lib '/usr/home/fxcm/lib/perl';


require handler::gocurrcalc;

use Conf;

my $conf = new Conf;
$conf->read() || die "no conf";
$main::conf = $conf;
$main::conf = $conf; # 2nd time for warnings sake

my $outfile = "$$conf{dir_public_html}/js/gocurrcalc.js";

main();

sub main 
{
  write_to_file( $outfile, handler::gocurrcalc::act($conf) ) || die $@;
}



sub write_to_file
{
  my ($file, $text_ref) = @_;
 
  eval
  {
    local *FH;
    open(FH, ">$file") || die ("could not open [$file] $@");
    print FH $$text_ref || die;
    close FH;
  }
}
